<div>
    <!-- Bloc du navbar -->
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="#">Brand</a>
            </div>
    
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
            <ul class="nav navbar-nav">
                <li><a [routerLink]="['/home']">Accueil <span class="sr-only">(current)</span></a></li>
                <li><a [routerLink]="['/catalogue']">Catalogue</a></li>
                <li><a [routerLink]="['/contact']">Contact</a></li>
            </ul>
            <ul class="nav navbar-nav navbar-right">
                <li><a [routerLink]="['/connexion']">Connection /</a></li>
                <li><a [routerLink]="['/inscription']">Inscription </a></li>
            </ul>
            </div>
        </div>
    </nav>
    <div class='main'>
        <router-outlet></router-outlet>
    </div>
</div>













<!--  


    





<div style="background-color:red; color:white;">
        <div>
            prenomParent = {{prenomParent}}
        </div>
        <div>
            nomParent = {{ nomParent }}
        </div>
    </div>

<app-firstcompo prenom="{{prenomParent}}" nom="{{nomParent}}" 
                (ratingNom)="onRatingNom($event);" (ratingPrenom)="onRatingPrenom($event);"> </app-firstcompo>





<input type="text" id="userName" name="userName" class="form-control" [(ngModel)]="title">
<div style="background-color:red;" *ngIf="showErrorMessage == true">
  Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
</div>
<input type="text" id="lastName" name="lastName" class="form-control" [(ngModel)]="lastName">
<div style="background-color:red;" *ngIf="showErrorMessage == true">
  Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
</div>
<input type="text" id="ageName" name="ageName" class="form-control"   [(ngModel)]="ageName">
<div style="background-color:red;" *ngIf="showErrorMessage == true">
  Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
</div>
<input type="text" id="cityName" name="cityName" class="form-control" [(ngModel)]="cityName">
<div style="background-color:red;" *ngIf="showErrorMessage == true">
  Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
</div>
  

    <li class="list-group-item">
      <div style="background-color:red;" *ngIf="isAuth == true">
         Je suis en vacance
      </div>
    <li>
<div [class]="divfirstcompo" >
  <h1>
    Welcome to {{ title }} enterprise! 
  </h1>
  <img [width]="tailleImage" alt="Angular Logo" [src]="imageSource">
</div>


<input type="text" id="userName" name="userName" class="form-control" [(ngModel)]="title">
<input type="text" id="lastName" name="lastName" class="form-control" [(ngModel)]="lastName">
<input type="text" id="ageName" name="ageName" class="form-control"   [(ngModel)]="ageName">
<input type="text" id="cityName" name="cityName" class="form-control" [(ngModel)]="cityName">

<div style="padding: 10px;"> 
  <form>
    <input type="text" id="userName"  name="userName"  class="form-control" [(ngModel)]="title">
    <div style="background-color:red;" *ngIf="showErrorMessageUserName == true">
      Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
    </div>
      
    <input type="text" id="lastName"  name="lastName"  class="form-control" [(ngModel)]="lastName">
    <div style="background-color:red;" *ngIf="showErrorMessageLastName == true">
        Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
      </div>
      
    <input type="text" id="ageName"   name="ageName"    class="form-control" [(ngModel)]="ageName">
    <div style="background-color:red;" *ngIf="showErrorMessageAgeName == true">
        Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
      </div>
      
    <input type="text" id="cityName"  name="cityName"  class="form-control" [(ngModel)]="cityName">
    <div style="background-color:red;" *ngIf="showErrorMessageCityName == true">
      Veuillez saisir le login et le password avant de cliquer sur le bouton de "Connection".
    </div>
    
  </form>

  <button class="btn btn-success" [disabled]="!isAuth" (click)="enregistrer()">
    Tout allumer
  </button>

</div>


<ul>
  <li *ngFor="let item of heroes">
    {{ item }}
  </li>
</ul>

<ul>
  <li *ngFor="let item of products">
    {{ item.productId }}   {{ item.productName }}  {{ item.productCode }}  {{ item.price }} 
  </li>
</ul>

-->
  

<!--
<app-firstcompo></app-firstcompo>
 

<div class="input-group">
    <span class="input-group-addon" id="basic-addon1">@</span>
    <input type="text" class="form-control" placeholder="Username" aria-describedby="basic-addon1">
  </div>
  
  <div class="input-group">
    <input type="text" class="form-control" placeholder="Recipient's username" aria-describedby="basic-addon2">
    <span class="input-group-addon" id="basic-addon2">@example.com</span>
  </div>
  
  <div class="input-group">
    <span class="input-group-addon">$</span>
    <input type="text" class="form-control" aria-label="Amount (to the nearest dollar)">
    <span class="input-group-addon">.00</span>
  </div>
  
  <label for="basic-url">Your vanity URL</label>
  <div class="input-group">
    <span class="input-group-addon" id="basic-addon3">https://example.com/users/</span>
    <input type="text" class="form-control" id="basic-url" aria-describedby="basic-addon3">
  </div>


-->